aspcud(1)

NAME
aspcud - solve dependencies between packages

SYNOPSIS
aspcud [OPTION]... [INPUT-FILE] [OUTPUT-FILE] [CRITERION]

DESCRIPTION
aspcud solves package installation/removal/upgrade problems expressed in the CUDF format. It is intended to be called by package installers, but may also be used independently. If the tool is not able to find a solution, then it writes "FAIL" to the output file.

ARGUMENTS
The first two command line arguments are mandatory:

INPUT-FILE
    is the pathname of the file containing the problem specification in CUDF format (both the universe and the request). If absent, the specification is read from stdin.

OUTPUT-FILE
    is the pathname of the file into which the solution will be written in CUDF output format. If the file does not exist it will be created, if it does already exist it will be overwritten without warning. If absent, output is written to stdout.

CRITERION
    selects the optimization criterion. To get a list of supported criteria, see the -c option of cudf2lp(1). If absent, the paranoid criterion is used. Note that the criterion can be passed via option --criterion as well.

OPTIONS
aspcud supports the following options:

-h, --help
    print help text, and default configurations and paths

-v, --version
    print version and license information

-c, --criterion CRIT
    set the optimization criterion

-s, --solver-option OPT
    append clasp option OPT (can be given multiple times); if at least one clasp option is given, then default search options are not used

-g, --grounder-option OPT
    append gringo option OPT (can be given multiple times)

-e, --encoding ENC
    append encoding ENC (can be given multiple times); if at least one encoding is given, then the default encoding is not used

-p, --preprocessor-option OPT
    append cudf2lp option OPT (can be given multiple times)

-S, --solver SOL
    path to solver (clasp)

-G, --grounder GRD
    path to grounder (gringo)

-P, --preprocessor PRE
    path to cudf preprocessor (cudf2lp)

-V, --verbosity N
    set the verbosity level

-d, --debug
    do not cleanup temporary files

ENVIRONMENT VARIABLES
aspcud uses temporary files. These are put into the folder indicated by the environment variable TMPDIR or, if not set, by the POSIX constant P_tmpdir.

AUTHOR
aspcud has been written by Roland Kaminski and Martin Gebser.

SEE ALSO
cudf2lp(1), gringo(1), clasp(1), and <http://www.mancoosi.org/cudf/> for the specification of the CUDF format.